import request from '@/utils/request'

// 查询工序管理列表
export function listProcessinfo(query) {
  return request({
    url: '/system/processinfo/list',
    method: 'get',
    params: query
  })
}

// 查询工序管理详细
export function getProcessinfo(id) {
  return request({
    url: '/system/processinfo/' + id,
    method: 'get'
  })
}

// 新增工序管理
export function addProcessinfo(data) {
  return request({
    url: '/system/processinfo',
    method: 'post',
    data: data
  })
}

// 修改工序管理
export function updateProcessinfo(data) {
  return request({
    url: '/system/processinfo',
    method: 'put',
    data: data
  })
}

// 删除工序管理
export function delProcessinfo(id) {
  return request({
    url: '/system/processinfo/' + id,
    method: 'delete'
  })
}
